<apex:page standardController="Standing_Order_Acknowledgement__c" extensions="OperationsStandingOrderController" tabStyle="Standing_Order_Acknowledgement__c">
    <script>
        function doAcknowledge(checkbox, stdorderId) {
          if(checkbox.checked==true) {
            confirmAcknowledge(stdorderId);
          }
        }  
        
      </script>
      
  <apex:form >
    <apex:actionFunction name="confirmAcknowledge" action="{!confirmReadAcknowledgement}" reRender="">
      <apex:param name="stdorderId" value="" assignTo="{!selectedStandingOrderId}"></apex:param>
    </apex:actionFunction>
    <apex:actionFunction name="reRenderTable" reRender="acknowledgePanel"></apex:actionFunction>

    <br/><br/>

    <apex:outputPanel id="acknowledgePanel">
      <apex:pageBlock id="stdOrders" title="Operations Standing Orders" rendered="true">
          <apex:commandButton action="{!URLFOR($Action.Standing_Order__c.New)}" value="New Standing Order"/>
          <br/><br/>
          <apex:pageMessages ></apex:pageMessages>
          
          <apex:pageblocksection id="pendingStdOrders" title="Acknowledgement Pending Standing Orders" showheader="true" collapsible="true" columns="1">
              <apex:repeat value="{!pendingStandingOrderWrapperMap}" var="standingOrderWrapperItems">
                  <apex:pageblocksection title="{!standingOrderWrapperItems}" showheader="true" collapsible="true" columns="1">
                      <apex:pageBlockTable value="{!pendingStandingOrderWrapperMap[standingOrderWrapperItems]}" var="standingOrderWrapperItem">
                        <apex:column headerValue="Standing Order Name">
                            <apex:outputLink value="/{!standingOrderWrapperItem.standingOrder.Id}">{!standingOrderWrapperItem.standingOrder.Name}</apex:outputLink>
                          </apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Plant__c}"></apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Details__c}"></apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Start_Date__c}"></apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Completion_Date__c}"></apex:column>
                          <apex:column headerValue="Acknowledged">
                              <apex:inputCheckbox onclick="doAcknowledge(this, '{!standingOrderWrapperItem.standingOrder.Id}'); return false;" 
                                                  value="{!standingOrderWrapperItem.isReadAcknowledged}" 
                                                  disabled="{!standingOrderWrapperItem.isReadAcknowledged}">
                              </apex:inputCheckbox>
                          </apex:column>
                          <apex:column headerValue="Acknowledged Date">
                              <apex:outputText value="{!standingOrderWrapperItem.readAcknowledgedDate}"></apex:outputText>
                          </apex:column>                                             
                      </apex:pageBlockTable>
                  </apex:pageblocksection>
              </apex:repeat>           
          </apex:pageBlockSection> 
          
          <br/><br/>                             

          <apex:pageblocksection id="completedStdOrders" title="Acknowledged Standing Orders" showheader="true" collapsible="true" columns="1">
              <apex:repeat value="{!completedStandingOrderWrapperMap}" var="standingOrderWrapperItems">
                  <apex:pageblocksection title="{!standingOrderWrapperItems}" showheader="true" collapsible="true" columns="1">
                      <apex:pageBlockTable value="{!completedStandingOrderWrapperMap[standingOrderWrapperItems]}" var="standingOrderWrapperItem">
                        <apex:column headerValue="Standing Order Name">
                            <apex:outputLink value="/{!standingOrderWrapperItem.standingOrder.Id}">{!standingOrderWrapperItem.standingOrder.Name}</apex:outputLink>
                          </apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Plant__c}"></apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Details__c}"></apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Start_Date__c}"></apex:column>
                          <apex:column value="{!standingOrderWrapperItem.standingOrder.Completion_Date__c}"></apex:column>
                          <apex:column headerValue="Acknowledged">
                              <apex:inputCheckbox value="{!standingOrderWrapperItem.isReadAcknowledged}" disabled="true"></apex:inputCheckbox>
                          </apex:column>
                          <apex:column headerValue="Acknowledged Date">
                              <apex:outputText value="{!standingOrderWrapperItem.readAcknowledgedDate}"></apex:outputText>
                          </apex:column>                                             
                      </apex:pageBlockTable>
                  </apex:pageblocksection>
              </apex:repeat>          
          </apex:pageBlockSection>

          <!-- This is to auto collapse the second section. See example from Salesforce https://help.salesforce.com/articleView?id=000332075&type=1&mode=1 -->
          <script>twistSection(document.getElementById('{!$Component.stdOrders.completedStdOrders}').getElementsByTagName('img')[0]) </script>

          

          <!--
          <apex:pageBlockTable id="acknowledgeTable" value="{!standingOrderWrappers}" var="standingOrderWrapper">
            <apex:column headerValue="Standing Order Name">
              <apex:outputLink value="/{!standingOrderWrapper.standingOrder.Id}">{!standingOrderWrapper.standingOrder.Name}</apex:outputLink>
            </apex:column>
            <apex:column value="{!standingOrderWrapper.standingOrder.Plant__c}"></apex:column>
            <apex:column value="{!standingOrderWrapper.standingOrder.Details__c}"></apex:column>
            <apex:column value="{!standingOrderWrapper.standingOrder.Start_Date__c}"></apex:column>
            <apex:column value="{!standingOrderWrapper.standingOrder.Completion_Date__c}"></apex:column>
            <apex:column headerValue="Acknowledged">
                <apex:inputCheckbox onclick="doAcknowledge(this, '{!standingOrderWrapper.standingOrder.Id}'); return false;" 
                                    value="{!standingOrderWrapper.isReadAcknowledged}" 
                                    disabled="{!standingOrderWrapper.isReadAcknowledged}">
                </apex:inputCheckbox>
            </apex:column>
            <apex:column headerValue="Acknowledged Date">
                <apex:outputText value="{!standingOrderWrapper.readAcknowledgedDate}"></apex:outputText>
            </apex:column>          
          </apex:pageBlockTable>
          -->
          
        </apex:pageBlock>
    </apex:outputPanel>

  </apex:form>

</apex:page>